{
  "request_no": "PR-20251016-004",
  "job_no": "5",
  "created_at": "2025-10-16T05:24:45.921468",
  "materials": [
    {
      "material_id": 118834,
      "description": "FLG WELD NECK RF SCH 40S, 150LB, ASTM A182 F304",
      "category": "FLANGE",
      "size": "10\"",
      "material_grade": "ASTM A182 F304",
      "quantity": 5,
      "unit": "EA",
      "user_requirement": ""
    },
    {
      "material_id": 118839,
      "description": "FLG WELD NECK RF SCH 40S, 150LB, ASTM A182 F304",
      "category": "FLANGE",
      "size": "12\"",
      "material_grade": "ASTM A182 F304",
      "quantity": 1,
      "unit": "EA",
      "user_requirement": ""
    },
    {
      "material_id": 118840,
      "description": "FLG WELD NECK RF SCH 40, 150LB, ASTM A105",
      "category": "FLANGE",
      "size": "2\"",
      "material_grade": "ASTM A105",
      "quantity": 36,
      "unit": "EA",
      "user_requirement": ""
    },
    {
      "material_id": 118876,
      "description": "FLG WELD NECK RF SCH 40, 300LB, ASTM A105",
      "category": "FLANGE",
      "size": "2\"",
      "material_grade": "ASTM A105",
      "quantity": 6,
      "unit": "EA",
      "user_requirement": ""
    },
    {
      "material_id": 118882,
      "description": "FLG WELD NECK RF SCH 40S, 150LB, ASTM A182 F304",
      "category": "FLANGE",
      "size": "2\"",
      "material_grade": "ASTM A182 F304",
      "quantity": 7,
      "unit": "EA",
      "user_requirement": ""
    },
    {
      "material_id": 118890,
      "description": "FLG WELD NECK RF SCH 40, 600LB, ASTM A105",
      "category": "FLANGE",
      "size": "3\"",
      "material_grade": "ASTM A105",
      "quantity": 8,
      "unit": "EA",
      "user_requirement": ""
    },
    {
      "material_id": 118895,
      "description": "FLG WELD NECK RF SCH 40S, 600LB, ASTM A182 F304",
      "category": "FLANGE",
      "size": "3\"",
      "material_grade": "ASTM A182 F304",
      "quantity": 2,
      "unit": "EA",
      "user_requirement": ""
    },
    {
      "material_id": 118897,
      "description": "FLG WELD NECK RF SCH 40, 150LB, ASTM A105",
      "category": "FLANGE",
      "size": "3\"",
      "material_grade": "ASTM A105",
      "quantity": 12,
      "unit": "EA",
      "user_requirement": ""
    },
    {
      "material_id": 118909,
      "description": "FLG WELD NECK RF SCH 40, 300LB, ASTM A105",
      "category": "FLANGE",
      "size": "3\"",
      "material_grade": "ASTM A105",
      "quantity": 2,
      "unit": "EA",
      "user_requirement": ""
    },
    {
      "material_id": 118914,
      "description": "FLG WELD NECK RF SCH 40S, 150LB, ASTM A182 F304",
      "category": "FLANGE",
      "size": "3\"",
      "material_grade": "ASTM A182 F304",
      "quantity": 9,
      "unit": "EA",
      "user_requirement": ""
    },
    {
      "material_id": 118923,
      "description": "FLG WELD NECK RF SCH 40, 300LB, ASTM A105",
      "category": "FLANGE",
      "size": "4\"",
      "material_grade": "ASTM A105",
      "quantity": 3,
      "unit": "EA",
      "user_requirement": ""
    },
    {
      "material_id": 118926,
      "description": "FLG WELD NECK RF SCH 40, 150LB, ASTM A105",
      "category": "FLANGE",
      "size": "6\"",
      "material_grade": "ASTM A105",
      "quantity": 10,
      "unit": "EA",
      "user_requirement": ""
    },
    {
      "material_id": 118936,
      "description": "FLG SWRF SCH 40S, 150LB, ASTM A182 F304",
      "category": "FLANGE",
      "size": "1/2\"",
      "material_grade": "ASTM A182 F304",
      "quantity": 14,
      "unit": "EA",
      "user_requirement": ""
    },
    {
      "material_id": 118948,
      "description": "FLG SWRF SCH 80, 150LB, ASTM A105",
      "category": "FLANGE",
      "size": "3/4\"",
      "material_grade": "ASTM A105",
      "quantity": 15,
      "unit": "EA",
      "user_requirement": ""
    },
    {
      "material_id": 118952,
      "description": "FLG SWRF SCH 40S, 150LB, ASTM A182 F304",
      "category": "FLANGE",
      "size": "1\"",
      "material_grade": "ASTM A182 F304",
      "quantity": 9,
      "unit": "EA",
      "user_requirement": ""
    },
    {
      "material_id": 118953,
      "description": "FLG SWRF SCH 80, 150LB, ASTM A105",
      "category": "FLANGE",
      "size": "1\"",
      "material_grade": "ASTM A105",
      "quantity": 66,
      "unit": "EA",
      "user_requirement": ""
    },
    {
      "material_id": 118957,
      "description": "FLG SWRF SCH 80, 600LB, ASTM A105",
      "category": "FLANGE",
      "size": "1\"",
      "material_grade": "ASTM A105",
      "quantity": 6,
      "unit": "EA",
      "user_requirement": ""
    },
    {
      "material_id": 118959,
      "description": "FLG SWRF SCH 40S, 150LB, ASTM A182 F304",
      "category": "FLANGE",
      "size": "1 1/2\"",
      "material_grade": "ASTM A182 F304",
      "quantity": 8,
      "unit": "EA",
      "user_requirement": ""
    },
    {
      "material_id": 118967,
      "description": "FLG SWRF SCH 80, 150LB, ASTM A105",
      "category": "FLANGE",
      "size": "1 1/2\"",
      "material_grade": "ASTM A105",
      "quantity": 40,
      "unit": "EA",
      "user_requirement": ""
    },
    {
      "material_id": 119003,
      "description": "FLG SWRF SCH 80, 600LB, ASTM A105",
      "category": "FLANGE",
      "size": "1 1/2\"",
      "material_grade": "ASTM A105",
      "quantity": 5,
      "unit": "EA",
      "user_requirement": ""
    },
    {
      "material_id": 119008,
      "description": "RED. FLG SWRF SCH 40S, 150LB, ASTM A182 F304",
      "category": "FLANGE",
      "size": "1 1/2\" x 3/4\"",
      "material_grade": "ASTM A182 F304",
      "quantity": 2,
      "unit": "EA",
      "user_requirement": ""
    },
    {
      "material_id": 119010,
      "description": "RED. FLG SWRF SCH 80, 150LB, ASTM A105",
      "category": "FLANGE",
      "size": "1 1/2\" x 3/4\"",
      "material_grade": "ASTM A105",
      "quantity": 4,
      "unit": "EA",
      "user_requirement": ""
    },
    {
      "material_id": 119014,
      "description": "RED. FLG SWRF SCH 80, 600LB, ASTM A105",
      "category": "FLANGE",
      "size": "1 1/2\" x 3/4\"",
      "material_grade": "ASTM A105",
      "quantity": 2,
      "unit": "EA",
      "user_requirement": ""
    },
    {
      "material_id": 119024,
      "description": "FLG SWRF SCH 40S, 600LB, ASTM A182 F304",
      "category": "FLANGE",
      "size": "1\"",
      "material_grade": "ASTM A182 F304",
      "quantity": 1,
      "unit": "EA",
      "user_requirement": ""
    },
    {
      "material_id": 119092,
      "description": "RED. FLG SWRF SCH 80, 150LB, ASTM A105",
      "category": "FLANGE",
      "size": "1\" x 3/4\"",
      "material_grade": "ASTM A105",
      "quantity": 1,
      "unit": "EA",
      "user_requirement": ""
    },
    {
      "material_id": 119097,
      "description": "FLG SWRF SCH 80, 300LB, ASTM A105",
      "category": "FLANGE",
      "size": "1 1/2\"",
      "material_grade": "ASTM A105",
      "quantity": 3,
      "unit": "EA",
      "user_requirement": ""
    },
    {
      "material_id": 119102,
      "description": "FLG SWRF SCH 80, 150LB, ASTM A105",
      "category": "FLANGE",
      "size": "1/2\"",
      "material_grade": "ASTM A105",
      "quantity": 57,
      "unit": "EA",
      "user_requirement": ""
    },
    {
      "material_id": 119159,
      "description": "FLG SWRF SCH 40S, 150LB, ASTM A182 F304",
      "category": "FLANGE",
      "size": "3/4\"",
      "material_grade": "ASTM A182 F304",
      "quantity": 7,
      "unit": "EA",
      "user_requirement": ""
    },
    {
      "material_id": 119166,
      "description": "FLG SWRF SCH 40S, 300LB, ASTM A182 F304",
      "category": "FLANGE",
      "size": "3/4\"",
      "material_grade": "ASTM A182 F304",
      "quantity": 1,
      "unit": "EA",
      "user_requirement": ""
    },
    {
      "material_id": 119167,
      "description": "FLG SWRF SCH 40S, 600LB, ASTM A182 F304",
      "category": "FLANGE",
      "size": "3/4\"",
      "material_grade": "ASTM A182 F304",
      "quantity": 1,
      "unit": "EA",
      "user_requirement": ""
    },
    {
      "material_id": 119179,
      "description": "FLG SWRF SCH 80, 300LB, ASTM A105",
      "category": "FLANGE",
      "size": "3/4\"",
      "material_grade": "ASTM A105",
      "quantity": 2,
      "unit": "EA",
      "user_requirement": ""
    },
    {
      "material_id": 119181,
      "description": "FLG SWRF SCH 80, 600LB, ASTM A105",
      "category": "FLANGE",
      "size": "3/4\"",
      "material_grade": "ASTM A105",
      "quantity": 5,
      "unit": "EA",
      "user_requirement": ""
    },
    {
      "material_id": 119985,
      "description": "ORIFICE, 150LB",
      "category": "FLANGE",
      "size": "10\"",
      "material_grade": "-",
      "quantity": 1,
      "unit": "EA",
      "user_requirement": ""
    },
    {
      "material_id": 119987,
      "description": "WOOD ORIFICE, 300LB",
      "category": "FLANGE",
      "size": "10\"",
      "material_grade": "-",
      "quantity": 2,
      "unit": "EA",
      "user_requirement": ""
    },
    {
      "material_id": 119989,
      "description": "WOOD ORIFICE, 600LB",
      "category": "FLANGE",
      "size": "3\"",
      "material_grade": "-",
      "quantity": 1,
      "unit": "EA",
      "user_requirement": ""
    },
    {
      "material_id": 119990,
      "description": "WOOD ORIFICE, 300LB",
      "category": "FLANGE",
      "size": "4\"",
      "material_grade": "-",
      "quantity": 2,
      "unit": "EA",
      "user_requirement": ""
    },
    {
      "material_id": 119992,
      "description": "WOOD ORIFICE, 300LB",
      "category": "FLANGE",
      "size": "5\"",
      "material_grade": "-",
      "quantity": 1,
      "unit": "EA",
      "user_requirement": ""
    },
    {
      "material_id": 119993,
      "description": "WOOD ORIFICE, 600LB",
      "category": "FLANGE",
      "size": "5\"",
      "material_grade": "-",
      "quantity": 1,
      "unit": "EA",
      "user_requirement": ""
    },
    {
      "material_id": 119994,
      "description": "WOOD ORIFICE, 150LB",
      "category": "FLANGE",
      "size": "6\"",
      "material_grade": "-",
      "quantity": 2,
      "unit": "EA",
      "user_requirement": ""
    },
    {
      "material_id": 119996,
      "description": "WOOD ORIFICE, 300LB",
      "category": "FLANGE",
      "size": "8\"",
      "material_grade": "-",
      "quantity": 2,
      "unit": "EA",
      "user_requirement": ""
    }
  ],
  "grouped_materials": []
}